package com.railway.business.baseinfo.mapper;

import com.github.pagehelper.Page;
import com.railway.business.baseinfo.domain.BaseDeptLine;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * primary key (line_id, dept_id) using
 *
 * @author railway
 * @date 2021/11/20
 */
@Mapper
@Repository
public interface BaseDeptLineMapper {

  /**
   * 新增
   */
  int insert(BaseDeptLine baseDeptLine);

  /**
   * 删除
   */
  int delete(@Param("lineId") Long lineId);

  /**
   * 查询列表
   */
  Page<BaseDeptLine> getList(@Param("lineId") Long lineId);

  /**
   * 查询列表
   */
  Page<BaseDeptLine> getDeptByLineId(@Param("lineId") Long lineId);

}
